# OpenLayers.Tile.Image

Instances of OpenLayers.Tile.Image are used to manage the image tiles used by various layers. Create a new image tile with the OpenLayers.Tile.Image constructor.

#### Inherits from

- OpenLayers.Tile

Summary

OpenLayers.Tile.Image | Instances of OpenLayers.Tile.Image are used to manage the image tiles used by various layers.
Properties |
maxGetUrlLength | {Number} If set, requests that would result in GET urls with more characters than the number provided will be made using form-encoded HTTP POST.
Functions |
destroy | nullify references to prevent circular references and memory leaks

### Properties

### maxGetUrlLength

{Number} If set, requests that would result in GET urls with more characters than the number provided will be made using form-encoded HTTP POST. It is good practice to avoid urls that are longer than 2048 characters.

#### Caution

Older versions of Gecko based browsers (e.g. Firefox < 3.5) and Opera < 10.0 do not fully support this option.

#### Note

Do not use this option for layers that have a transitionEffect configured - IFrame tiles from POST requests can not be resized.

### Functions

### destroy

> destroy: function()

nullify references to prevent circular references and memory leaks

> destroy: function()

nullify references to prevent circular references and memory leaks
Instances of OpenLayers.Tile.Image are used to manage the image tiles used by various layers.
This is a class designed to designate a single tile, however it is explicitly designed to do relatively little.
Close